import{c as p,k as l,r,j as n,b as d}from"./index-DCNLpqIv.js";import{R as g,P as f}from"./Particles-C6lCS8Mc.js";const u="/assets/flake-0.DgWaVvm5.png",x="/assets/flake-1.B2r5AHMK.png",$="/assets/flake-2.BnWSExPC.png",o=150,i=150,h=10,k=90,I=4e3,a=(t,e=0)=>Math.random()*(t-e)+e,P=()=>l`
  from {
    transform:
      translateY(0)
      rotateX(${a(360)}deg)
      rotateY(${a(360)}deg)
      rotateZ(${a(360)}deg);
  }

  to {
    transform:
      translateY(calc(100vh + ${o}px))
      rotateX(0)
      rotateY(0)
      rotateZ(0);
  }
`,M=p("img",{target:"ekdfb790"})(({theme:t})=>({position:"fixed",top:`${-o}px`,marginLeft:`${-i/2}px`,zIndex:t.zIndices.balloons,left:`${a(k,h)}vw`,animationDelay:`${a(I)}ms`,height:`${o}px`,width:`${i}px`,pointerEvents:"none",animationDuration:"3000ms",animationName:P(),animationTimingFunction:"ease-in",animationDirection:"normal",animationIterationCount:1,opacity:1}),""),m=100,c=[u,x,$],S=c.length,j=r.memo(({particleType:t,resourceCrossOriginMode:e})=>{const s=c[t];return n.jsx(M,{src:s,crossOrigin:d(e,s)})}),v=function({scriptRunId:t}){return n.jsx(g,{children:n.jsx(f,{className:"stSnow","data-testid":"stSnow",scriptRunId:t,numParticleTypes:S,numParticles:m,ParticleComponent:j})})},w=r.memo(v);export{m as NUM_FLAKES,w as default};
